@import "../../../assets/scss/global.scss";

.input-text-field {
    .input-group {
        border: 1px solid #E8ECEE;
        border-radius: 10px;
        position: relative;

        &:focus-within {
            border-color: $secondary-color;
        }

        .input-content {
            position: relative;
            height: 54px;
            width: 100%;

            .clear-icon {
                position: absolute;
                // opacity: 0;
                right: 10px;
                top: 50%;
                width: 16px;
                height: 16px;
                transform: translateY(-50%);

                .button-clear {
                    padding: 0;
                    height: 16px;
                    background-color: transparent;

                    .close-icon {
                        width: 14px;
                        height: 14px;
                        padding: 2px;
                        
                        &:hover {
                            background-color: #ccc;
                            border-radius: 50%;
                            
                            path {
                                fill: #fff;
                            }
                        }
                    }
                }
            }

            &:hover {
                .clear-icon {
                    opacity: 0.8;
                }
            }

            input {
                position: absolute;
                box-sizing: border-box;
                border: 0;
                left: 0;
                right: 0;
                padding: 20px 16px 0;
                font-weight: 500;
                font-size: 15px;
                line-height: 22px;
                color: #202226;
                height: 100%;

                &.is-password{
                    right: 20px;
                }

                &:focus {
                    bottom: 0;

                    & ~ .label {
                        top: 30%;
                        color: $secondary-color;
                        font-size: 1.2rem;

                        &::placeholder {
                            display: none;
                        }
                    }
                }

                &.has-data-input {
                    bottom: 0;
                }

                &:-webkit-autofill {
                    transition: background-color 999999999999s ease-in-out 0s;
                }

                
            }

            .label {
                position: absolute;
                pointer-events: none;
                top: 50%;
                left: 0;
                transform: translateY(-50%);
                padding-left: 16px;
                font-size: 12px;
                transition: all .2s ease-in-out;
                color: #374352;
                font-size: 1.4rem;
                font-weight: 500;

                &.has-data {
                    color: $secondary-color;
                    font-size: 1.2rem;
                    top: 30%;
                    visibility: visible;
                }
                &::placeholder {
                    color: #8E91A0;
                }
            }

            &.has-icon-left {
                input {
                    padding-left: 38px;
                }
                .label{
                    padding-left: 38px;
                }
            }

            &.has-icon-right {
                input {
                    padding-right: 38px;
                }

                .clear-icon {
                    right: 50px;
                }
            }

        }

        input[type=password]::-ms-reveal {
            display: none;
        }

        

        
    }

    .icon-left {
        position: absolute;
        top: 50%;
        left: 8px;
        width: 20px;
        transform: translateY(-50%);
        width: 20px;
        height: 20px;
        text-align: center;
        svg{
            height: 20px;
            width: auto;
        }
    }

    .icon-right {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 8px;
        width: 20px;
        height: 20px;
        text-align: center;
        svg{
            height: 20px;
            width: auto;
        }
    }

    .icon-right-has-data {
        opacity: 1;
    }

    &.error {
        .input-group {
            border-color: #F82626;
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 16px;
            margin-left: 15px;
        }
    }
}